POST Order SPI to Export Return
POST /merchant/spi/sample/endpoint/sa/orders/to/export/return/order/to/external/system
Operation ID: exportReturnOrder. Tags: Order SPI.
The specification provides details for external endpoint to consume the POS return transaction. It also describes on how to configure an external endpoint in POS system to export the sale transaction to the external system. CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with following details
-
Under API Config
- API Key:
RETURN - API Endpoint: Provide the external endpoint to get the order eg.https://sample/external/to/export/return/order/to/external/system
- API Key:
-
Under JSON Config
- Integration Type:
HTTP_POST - JSON Headers: Provide the header for the api. Headers can be Content-Type, Authorization attributes like clientId/password eg. {"Content-Type":"application/json","client_id":"myClientId","client_secret":"myClientSecret"}
- The endpoint with Oauth athorization is supported. For more details refer to documentation
- Integration Type:
Use Case: The endpoint will be used to post the return transaction to external system/OMS .
Request body
Media type: application/json. Schema: CustomerOrder.
Responses
- default
Default response.
Media type:
application/json. Schema:HttpResponse.